• This forum has a zero tolerance policy regarding spam. If you register here to publish advertising, your user account will be deleted without further questions.

GD Imagecreatefromgif

Everlast

Registered User
Hallo zusammen,

ich bin mal wieder auf ein Problem gestoßen.
Ich verwende Debian mit Apache 1.x und PHP4.3.4.
Leider grieg ich auf meiner Seiter immer einen Fehler,
dass imagecreatefromgif() nicht unterstüzt wird.
Unter RedHat bzw auch Suse lief die Seite schon.

Bei der Zeile mit extension=gd.so hab ich das Kommentar bereits in der PHP.ini weggemacht. Bringt aber leider nichts.

Was muss ich hier noch installieren, damit das wieder funktioniert?

Gruß Everlast

Falls der Beitrag besser in PHP passt bitte verschieben. Hab das Forum gerade erst gesehen ;)
 
Last edited by a moderator:
Note: GIF support was removed from the GD library in Version 1.6, and added back in Version 2.0.28. This function is not available between these versions.
Also, dann mal schnell PHP4.3.10 drauf installieren mit der entsprechenden GD. Ab 4.3.9 gibts erst wieder GIF-Support.
 
Dann werd ich das mal versuchen.
Ich hoffe danach läuft noch alles ;D

Wenn nicht kenn ich nen gutes Forum. ;D
Da wird einem geholfen :)


Thx & Greetz Everlast
 
Öhm, also die neue PHP version hab ich installiert.
Wie grieg ich meien aktuelle GD Version raus?

Greetz
 
Hm,
das weiß ich schon.
Nur spuckt das nicht besonders genau Angaben dazu aus.
Das einzige was kommt ist:

Code:
GD Version 	2.0 or higher

Jetzt weiß ich aber nocht nicht genau welche Version ich nun wirklich habe.

Greetz Everlast
 
Everlast said:
GD Version 2.0 or higher
Dann nutzt Du nicht die in PHP enthaltene GD-Version (also ohne gd.so). Die externe Version kannst Du mit
gdlib-config --version anzeigen lassen.
Is nur alles etwas komisch, meines Wissens war GIF-Read immer in der GD enthalten, der GIF-Write Support erst wieder seit GD 2.0.28.

MfG Micha
 
Hm, das ist echt seltsam. Wie gesagt, Read-Support sollte eigentlich in jeder Version vorhanden sein.
Erzählt er dir denn was von einer "unknown function" oder so etwas?
Poste mal die URL zur phpinfo().
 
Also die URL zu PHPInfo ist:

http://www.brain-code.de

Dann nutzt Du nicht die in PHP enthaltene GD-Version (also ohne gd.so).

Hab in der entsprechenden zeile aber ganz sicher das Kommentar entfernt.

Code:
gdlib-config --version

Bringt nur, dass der befehl nicht gefunden wurde.

Greetz Everlast
 
Back
Top